.slider {
    position: relative;
    height: calc(100vh - 140px);
    overflow:hidden;
}
.slider__slides {
    z-index: 1;
    position: relative;
    height: 100%;
}
.slider__control {
    z-index: 2;
    position: absolute;
    top: 50%;
    left: 5%;
    width: 60px;
    height: 60px;
    margin-left: -30px;
    margin-top: -30px;
    border-radius: 50%;
    background: #fff;
    transition: background-color 0.3s;
    cursor: pointer;
}
.slider__control--right {
    left: 95%;
}
.slider__control:hover {
    background-color: #111827;
}
.slider__control-line {
    position: absolute;
    left: 23px;
    top: 50%;
    width: 3px;
    height: 14px;
    transform-origin: 50% 0;
    transform: rotate(-45deg);
}
.slider__control-line:nth-child(2) {
    transform: translateY(1px) rotate(-135deg);
}
.slider__control--right .slider__control-line {
    left: 37px;
    transform-origin: 1px 0;
    transform: rotate(45deg);
}
.slider__control--right .slider__control-line:nth-child(2) {
    transform: translateY(1px) rotate(135deg);
}
.slider__control-line:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: #e2e2e2;
    transition: background-color 0.3s;
}
.slider__control:hover .slider__control-line:after {
    background-color: #fff;
}
.slider__control.a--rotation .slider__control-line:after {
    animation: arrowLineRotation 0.49s;
}
.slider__control.a--rotation .slider__control-line:nth-child(1):after {
    animation: arrowLineRotationRev 0.49s;
}
@keyframes arrowLineRotation {
    to {
        transform: rotate(180deg);
    }
}
@keyframes arrowLineRotationRev {
    to {
        transform: rotate(-180deg);
    }
}
.slide {
    overflow: hidden;
    position: absolute;
    left: 50%;
    top: 50%;
    width: 150vmax;
    height: 150vmax;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    transition: clip-path 0s 0.91s;
    clip-path: circle(30px at 120vw 50%);
}
.slide.s--prev {
    clip-path: circle(30px at 30vw 50%);
}
.slide.s--active {
    z-index: 1;
    transition: clip-path 1.3s;
    clip-path: circle(120vmax at 120vw 50%);
}
.slide.s--active.s--active-prev {
    clip-path: circle(120vmax at 30vw 50%);
}
.slide__inner {
    position: absolute;
    left: 50%;
    top: 50%;
    width: 100vw;
    height: 100vh;
    margin-left: -50vw;
    margin-top: -50vh;
    background-size: cover;
    background-position: center center;
}
.slide__inner:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.7) 100%);
}

.slide__content {
    position: absolute;
    left: 50%;
    transform:translatex(-50%);
    bottom: 140px;
    text-align:center;
    max-width: 70%;
    color: #fff;
}

.slide__content * {
    text-align:center;
}

.slide__content p {
    margin:0;
}

.slide__heading {
    margin-bottom: 20px;
    font-size: 60px;
}
.slide__text {
    font-size: 25px;
    color:#ffffff;
}
.slide__text a {
    color: inherit;
}

@media only screen and (max-width:1323px) {
    .slider {
        height:calc(100vh - 120px);
    }
}

@media only screen and (max-width:993px) {
    .slide__content {
        margin-left:0;
        width:100%;
    }
    
    .slide__heading {
        font-size:36px;
    }
    
    .slider__control {
        left:10%;
    }
    
    .slider__control--right {
        left:90%;
    }
    
    .slide__text {
        font-size:18px;
    }
} 

@media only screen and (max-width:479px) {
    .slide__text {
        font-size:14px;
    }
    
}